Gtk2::MenuItem(3)

NAME
Gtk2::MenuItem

HIERARCHY
  Glib::Object
  +----Glib::Object::_Unregistered::GInitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Item
                                +----Gtk2::MenuItem

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface

METHODS

  widget = Gtk2::MenuItem->new ($label=undef)

    * $label (string)

  widget = Gtk2::MenuItem->new_with_label ($label=undef)
    * $label (string)

  widget = Gtk2::MenuItem->new_with_mnemonic ($label=undef)

    * $label (string)

  $menu_item->set_accel_path ($accel_path)
    * $accel_path (string)

  $menu_item->activate

  $menu_item->deselect

  $menu_item->remove_submenu

  boolean = $menu_item->get_right_justified

  $menu_item->set_right_justified ($right_justified)

    * $right_justified (boolean)

  $menu_item->select

  widget or undef = $menu_item->get_submenu

  $menu_item->set_submenu ($submenu)
    * $submenu (Gtk2::Widget)

  $menu_item->toggle_size_allocate ($allocation)

    * $allocation (integer)

  requisition = $menu_item->toggle_size_request

SIGNALS
activate (Gtk2::MenuItem)
activate-item (Gtk2::MenuItem)
toggle-size-request (Gtk2::MenuItem, gpointer)
toggle-size-allocate (Gtk2::MenuItem, integer)

SEE ALSO
Gtk2, Glib::Object, Glib::Object::_Unregistered::GInitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Item

COPYRIGHT
Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.